X2Go Bug report logs - #167
ls gives "operation not permitted" on mounted windows folder

version graph

Package: python-x2go; Maintainer for python-x2go is X2Go Developers <x2go-dev@lists.x2go.org>; Source for python-x2go is src:python-x2go.

Reported by: Dick Kniep <dick@lindix.nl>

Date: Mon, 15 Apr 2013 13:03:02 UTC

Severity: important

Tags: pending

Found in version 0.2.1.0

Fixed in version 0.4.0.2

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#167; Package pyhoca-gui. (Mon, 15 Apr 2013 13:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dick Kniep <dick@lindix.nl>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 15 Apr 2013 13:03:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Dick Kniep <dick@lindix.nl>
To: submit@bugs.x2go.org <submit@bugs.x2go.org>
Subject: ls gives "operation not permitted" on mounted windows folder
Date: Mon, 15 Apr 2013 14:54:06 +0200
Package: Pyhoca-gui
Version: 0.4.0.1

Under certain circumstances (which I do NOT know) access to a mounted map is prohibited. It looks like a permission problem and as far as I can see it does NOT occur on Linux, but only on Windows.

The mount seems to have occurred correctly, however, when one tries to "ls" in that directory "operation not permitted" is shown.

Met vriendelijke groet,
Dick Kniep
Lindix BV
tel. 036-5215580
mob. 06-50991858


Bug reassigned from package 'pyhoca-gui' to 'python-x2go'. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Mon, 15 Apr 2013 22:03:01 GMT) Full text and rfc822 format available.

No longer marked as found in versions 0.4.0.1. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Mon, 15 Apr 2013 22:03:01 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Mon, 15 Apr 2013 22:03:01 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#167; Package python-x2go. (Sun, 21 Apr 2013 21:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sun, 21 Apr 2013 21:33:02 GMT) Full text and rfc822 format available.

Message #16 received at 167@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 167@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Not an issue in PyHoca-GUI 0.4.0.x series any more
Date: Sun, 21 Apr 2013 23:20:00 +0200
[Message part 1 (text/plain, inline)]
tag #167 pending
found #167 0.2.1.0
fixed #167 0.4.0.2
close #167
thanks

After a private communication with Dick, this bug has not been found  
in a recent PyHoca version, but in a rather old code base.

Closing this bug therefore.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sun, 21 Apr 2013 21:33:03 GMT) Full text and rfc822 format available.

Marked as found in versions 0.2.1.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sun, 21 Apr 2013 21:33:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions 0.4.0.2. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sun, 21 Apr 2013 21:33:03 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sun, 21 Apr 2013 21:33:03 GMT) Full text and rfc822 format available.

Notification sent to Dick Kniep <dick@lindix.nl>:
Bug acknowledged by developer. (Sun, 21 Apr 2013 21:33:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#167; Package python-x2go. (Tue, 14 May 2013 12:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dick Kniep <dick@lindix.nl>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 14 May 2013 12:48:02 GMT) Full text and rfc822 format available.

Message #31 received at 167@bugs.x2go.org (full text, mbox):

From: Dick Kniep <dick@lindix.nl>
To: 167@bugs.x2go.org <167@bugs.x2go.org>
Subject: Extra info with another customer where mounts generate operation not permitted
Date: Tue, 14 May 2013 14:26:16 +0200
[Message part 1 (text/plain, inline)]
There is some extra information on mounting a share that is not accessible. Here we have an "H:" disk that cannot be mounted. circumstances are slightly different from. Here is a log of the client (Note that --debuglib-sftpxfer is one of the parameters).

Met vriendelijke groet,
Dick Kniep
Lindix BV
tel. 036-5215580
mob. 06-50991858
[pyhoca-gui (3).log (text/x-log, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Wed, 12 Jun 2013 05:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Apr 19 04:30:46 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.